Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 592519 - Execshield stack protection is disabled for file usr/lib/libstdc++-3-libc6.2-2-2.10.0.so on i686 ppc
Execshield stack protection is disabled for file usr/lib/libstdc++-3-libc6.2-...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: compat-gcc-296 (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Jakub Jelinek
Michal Nowak
:
Depends On:
Blocks: 592849
  Show dependency treegraph
 
Reported: 2010-05-15 00:41 EDT by Miroslav Vadkerti
Modified: 2013-03-07 21:09 EST (History)
2 users (show)

See Also:
Fixed In Version: compat-gcc-296-2.96-144.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 592849 (view as bug list)
Environment:
Last Closed: 2010-07-02 14:55:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Vadkerti 2010-05-15 00:41:21 EDT
Description of problem:
Execshield stack protection is disabled for file usr/lib/libstdc++-3-libc6.2-2-2.10.0.so on i686 ppc
This needs fixing in the code , or alternatively, -Wl,-z,nodlopen needs to be added to the LD_FLAGS 

Version-Release number of selected component (if applicable):
compat-libstdc++-296-2.96-143.2

Affected archs
i686, ppc (only available pkg archs)

How reproducible:
always

Steps to Reproduce:
1. execstack /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so
  
Actual results:
[root@auto-i386-002 i686]# execstack /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so
X /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so


Expected results:
[root@auto-i386-002 i686]# execstack /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so
- /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so


Additional info:
Comment 1 Miroslav Vadkerti 2010-05-15 00:44:35 EDT
Jakub, could you please also review other RPMdiff results please? There is now waivng functionality yet for these runs. Thank you

http://rhel6rpmdiff.lab.eng.brq.redhat.com/run.php?selectedid=4&runid=3000
http://rhel6rpmdiff.lab.eng.brq.redhat.com/run.php?selectedid=17&runid=3000
Comment 2 RHEL Product and Program Management 2010-05-15 00:45:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Jakub Jelinek 2010-05-17 03:08:18 EDT
compat-gcc-295 has a similar problem on s390 apparently.

Where I can view rpmdiff initial results for all of my packages in RHEL6 BTW?
Comment 6 releng-rhel@redhat.com 2010-07-02 14:55:45 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.